// SettingsPage.js
import React from 'react';
import { FormControlLabel, Switch, Typography, Box } from '@mui/material';

const SettingsPage = ({ settings, updateSetting }) => {
    return (
        <Box sx={{ padding: 2 }}>
            <Typography variant="h6" gutterBottom>
                Settings
            </Typography>
            <FormControlLabel
                control={
                    <Switch
                        checked={settings.hideSearchResults}
                        onChange={() => updateSetting('hideSearchResults')}
                    />
                }
                label="Hide Search Results"
            />
            <FormControlLabel
                control={
                    <Switch
                        checked={settings.hideSimilarTrips}
                        onChange={() => updateSetting('hideSimilarTrips')}
                    />
                }
                label="Hide Similar Trips"
            />
            <FormControlLabel
                control={
                    <Switch
                        checked={settings.fastBookButton}
                        onChange={() => updateSetting('fastBookButton')}
                    />
                }
                label="Fast Book Button"
            />
            <FormControlLabel
                control={
                    <Switch
                        checked={settings.showTripDetails}
                        onChange={() => updateSetting('showTripDetails')}
                    />
                }
                label="Show Trip Details"
            />
            <FormControlLabel
                control={
                    <Switch
                        checked={settings.onlyAmazonLocations}
                        onChange={() => updateSetting('onlyAmazonLocations')}
                    />
                }
                label="Only Amazon Locations"
            />
            <FormControlLabel
                control={
                    <Switch
                        checked={settings.skipCurrentTrips}
                        onChange={() => updateSetting('skipCurrentTrips')}
                    />
                }
                label="Skip Current Trips"
            />
        </Box>
    );
};

export default SettingsPage;
